---
lang: en
title: 'API docs: service-proxy.servicemixindoc.mountcomponentservices'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.servicemixindoc.mountcomponentservices.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ServiceMixinDoc](./service-proxy.servicemixindoc.md) &gt; [mountComponentServices](./service-proxy.servicemixindoc.mountcomponentservices.md)

## ServiceMixinDoc.mountComponentServices() method

Get an instance of a component and mount all it's services. This function is intended to be used internally by component()

<b>Signature:</b>

```typescript
mountComponentServices(component: Class<unknown>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  component | <code>Class&lt;unknown&gt;</code> | The component to mount services of |

<b>Returns:</b>

`void`


